GDB (xrefs)

Public Attributes | List of all members
symtab_smob Struct Reference

## Public Attributes
eqable_gdb_smob | base
struct symtab * | symtab

## Detailed Description

Definition at line 32 of file scm-symtab.c.

## Member Data Documentation

## ◆ base

eqable_gdb_smob symtab_smob::base

Definition at line 39 of file scm-symtab.c.

Referenced by stscm_free_symtab_smob(), and stscm_scm_from_symtab().

## ◆ symtab

struct symtab* symtab_smob::symtab

Definition at line 44 of file scm-symtab.c.

Referenced by gdbscm_symtab_filename(), gdbscm_symtab_fullname(), gdbscm_symtab_global_block(), gdbscm_symtab_objfile(), gdbscm_symtab_static_block(), stscm_eq_symtab_smob(), stscm_free_symtab_smob(), stscm_hash_symtab_smob(), stscm_is_valid(), stscm_make_symtab_smob(), stscm_mark_symtab_invalid(), stscm_print_symtab_smob(), stscm_sal_is_valid(), and stscm_scm_from_symtab().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/guile/scm-symtab.c